Kill Switch
Reset the operator kill switch
Lets authorization and approval requests through again.
POST
/
kill-switch
/
reset
cURL
curl -X POST https://your-parmana-server/kill-switch/reset \
-H "Authorization: Bearer $PARMANA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"reason": "reviewed, safe"}'const response = await fetch("https://your-parmana-server/kill-switch/reset", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.PARMANA_API_KEY ?? ""}`,
"Content-Type": "application/json",
},
body: JSON.stringify({ reason: "reviewed, safe" }),
});
console.log(await response.json());import json
import os
import urllib.request
request = urllib.request.Request(
"https://your-parmana-server/kill-switch/reset",
data=json.dumps({"reason": "reviewed, safe"}).encode(),
headers={
"Authorization": f"Bearer {os.environ.get('PARMANA_API_KEY', '')}",
"Content-Type": "application/json",
},
method="POST",
)
with urllib.request.urlopen(request) as response:
print(json.loads(response.read()))const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'reviewed, safe'})
};
fetch('https://parmana-sandbox.vercel.app/kill-switch/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://parmana-sandbox.vercel.app/kill-switch/reset",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reason' => 'reviewed, safe'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://parmana-sandbox.vercel.app/kill-switch/reset"
payload := strings.NewReader("{\n \"reason\": \"reviewed, safe\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://parmana-sandbox.vercel.app/kill-switch/reset")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reason\": \"reviewed, safe\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://parmana-sandbox.vercel.app/kill-switch/reset")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reason\": \"reviewed, safe\"\n}"
response = http.request(request)
puts response.read_body{
"outcome": "reset",
"state": {
"active": false,
"version": 3,
"trippedBy": "operator-a",
"trippedAt": "2026-10-20T14:00:41.256Z",
"tripReason": "suspicious refunds",
"resetRequestedBy": "operator-a",
"resetBy": "operator-b",
"resetAt": "2026-10-20T14:00:41.276Z",
"resetReason": "confirmed"
}
}{
"outcome": "pending",
"state": {
"active": true,
"version": 2,
"trippedBy": "operator-a",
"trippedAt": "2026-10-20T14:00:41.256Z",
"tripReason": "suspicious refunds",
"pendingResetBy": "operator-a",
"pendingResetAt": "2026-10-20T14:00:41.271Z",
"pendingResetReason": "reviewed, safe"
}
}{
"error": "reason is required."
}{
"error": "authentication required"
}{
"error": "CAPABILITY_NOT_ALLOWED",
"message": "This key does not hold the kill-switch:reset capability."
}{
"error": "SAME_OPERATOR_CANNOT_CONFIRM_RESET",
"message": "A second operator must confirm this reset."
}Authorizations
Caller API key issued by scripts/generate-api-key.ts. Sent as Authorization: Bearer . Verified against a stored SHA-256 hash in constant time by packages/api/src/auth/StaticKeyAuthenticator.ts. Required on every route not listed as exempt in this document's top-level description. See /api-reference/authentication.
Body
application/json
Minimum string length:
1Response
Reset complete. Returns the outcome and the state.
The response is of type object.
⌘I
cURL
curl -X POST https://your-parmana-server/kill-switch/reset \
-H "Authorization: Bearer $PARMANA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"reason": "reviewed, safe"}'const response = await fetch("https://your-parmana-server/kill-switch/reset", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.PARMANA_API_KEY ?? ""}`,
"Content-Type": "application/json",
},
body: JSON.stringify({ reason: "reviewed, safe" }),
});
console.log(await response.json());import json
import os
import urllib.request
request = urllib.request.Request(
"https://your-parmana-server/kill-switch/reset",
data=json.dumps({"reason": "reviewed, safe"}).encode(),
headers={
"Authorization": f"Bearer {os.environ.get('PARMANA_API_KEY', '')}",
"Content-Type": "application/json",
},
method="POST",
)
with urllib.request.urlopen(request) as response:
print(json.loads(response.read()))const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'reviewed, safe'})
};
fetch('https://parmana-sandbox.vercel.app/kill-switch/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://parmana-sandbox.vercel.app/kill-switch/reset",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reason' => 'reviewed, safe'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://parmana-sandbox.vercel.app/kill-switch/reset"
payload := strings.NewReader("{\n \"reason\": \"reviewed, safe\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://parmana-sandbox.vercel.app/kill-switch/reset")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reason\": \"reviewed, safe\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://parmana-sandbox.vercel.app/kill-switch/reset")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reason\": \"reviewed, safe\"\n}"
response = http.request(request)
puts response.read_body{
"outcome": "reset",
"state": {
"active": false,
"version": 3,
"trippedBy": "operator-a",
"trippedAt": "2026-10-20T14:00:41.256Z",
"tripReason": "suspicious refunds",
"resetRequestedBy": "operator-a",
"resetBy": "operator-b",
"resetAt": "2026-10-20T14:00:41.276Z",
"resetReason": "confirmed"
}
}{
"outcome": "pending",
"state": {
"active": true,
"version": 2,
"trippedBy": "operator-a",
"trippedAt": "2026-10-20T14:00:41.256Z",
"tripReason": "suspicious refunds",
"pendingResetBy": "operator-a",
"pendingResetAt": "2026-10-20T14:00:41.271Z",
"pendingResetReason": "reviewed, safe"
}
}{
"error": "reason is required."
}{
"error": "authentication required"
}{
"error": "CAPABILITY_NOT_ALLOWED",
"message": "This key does not hold the kill-switch:reset capability."
}{
"error": "SAME_OPERATOR_CANNOT_CONFIRM_RESET",
"message": "A second operator must confirm this reset."
}